Bug 1602846 - Review Request: zram - ZRAM for swap config and services for Fedora
Summary: Review Request: zram - ZRAM for swap config and services for Fedora
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1469726 (view as bug list)
Depends On:
Blocks: ARMTracker IoT
TreeView+ depends on / blocked
 
Reported: 2018-07-18 15:41 UTC by Peter Robinson
Modified: 2018-07-22 06:32 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-07-21 09:02:27 UTC
jsmith.fedora: fedora-review+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1469767 None CLOSED Review Request: systemd-swap - Creating hybrid swap space from zram swaps, swap files and swap partitions 2019-06-21 21:55 UTC

Internal Trackers: 1469767

Description Peter Robinson 2018-07-18 15:41:26 UTC
SPEC: https://pbrobinson.fedorapeople.org/zram.spec
SRPM: https://pbrobinson.fedorapeople.org/zram-0.1-1.fc28.src.rpm

Description:
ZRAM is a Linux block device that can be used for compressed swap in memory.
It's useful in memory constrained devices. This provides a service to setup
ZRAM as a swap device based on criteria such as available memory.

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=28410829

Comment 1 Peter Robinson 2018-07-18 15:46:53 UTC
This is primarily the package review, the technical details are based on research and are initially relatively conservative. The settings will be tweaked and evolve as we get more data.

Comment 2 Peter Robinson 2018-07-18 15:47:09 UTC
*** Bug 1469726 has been marked as a duplicate of this bug. ***

Comment 3 Jared Smith 2018-07-18 16:16:10 UTC
I have reviewed this package, and it conforms to the Fedora Package Guidelines, and is under a Fedora-approved license.  Package is approved.

Comment 4 Gwyn Ciesla 2018-07-18 16:39:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/zram

Comment 5 Peter Robinson 2018-07-21 09:02:27 UTC
Thanks for the review.

Comment 6 Raphael Groner 2018-07-21 20:35:13 UTC
Can we have a package in EPEL7? Maybe you want to add me as co-maintainer.


Note You need to log in before you can comment on or make changes to this bug.